Add settings to production batch

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/projects/{project_id}/settings/batch

Add several task types (with their priority), task statuses and asset types to a production in a single request, replacing one link request per item. Unknown ids are skipped. When replace_task_types is set, the task type list is the full wanted set and existing links absent from it are removed.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

application/json

Body Required

  • task_types array[object]
    Hide task_types attributes Show task_types attributes object
    • task_type_id string(uuid)
    • priority integer
  • task_status_ids array[string(uuid)]
  • asset_type_ids array[string(uuid)]
  • replace_task_types boolean

    Default value is false.

Responses

  • 200

    Updated project

POST /data/projects/{project_id}/settings/batch
curl \
 --request POST 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/settings/batch' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"task_types":[{"task_type_id":"string","priority":42}],"task_status_ids":["string"],"asset_type_ids":["string"],"replace_task_types":false}'
Request examples
{
  "task_types": [
    {
      "task_type_id": "string",
      "priority": 42
    }
  ],
  "task_status_ids": [
    "string"
  ],
  "asset_type_ids": [
    "string"
  ],
  "replace_task_types": false
}